> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Location

> Delete an existing location



## OpenAPI

````yaml delete /location
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /location:
    delete:
      tags:
        - Location
      summary: Delete Location
      description: Delete an existing location
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Location ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of the location
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
        - name: street
          in: query
          description: Street address
          schema:
            type: string
        - name: postal_code
          in: query
          description: Postal or ZIP code
          schema:
            type: string
        - name: city
          in: query
          description: City
          schema:
            type: string
        - name: region
          in: query
          description: Region or state
          schema:
            type: string
        - name: iso_country
          in: query
          description: ISO 3166-1 alpha-2 country code
          schema:
            type: string
        - name: address_line
          in: query
          description: Full formatted address line (generated)
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/location'
          description: The updated Location object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    location:
      type: object
      properties:
        id:
          type: string
          description: Location ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        name:
          type: string
          description: Name of the location
          format: text
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        street:
          type: string
          description: Street address
          format: text
          nullable: true
        postal_code:
          type: string
          description: Postal or ZIP code
          format: text
          nullable: true
        city:
          type: string
          description: City
          format: text
          nullable: true
        region:
          type: string
          description: Region or state
          format: text
          nullable: true
        iso_country:
          type: string
          description: ISO 3166-1 alpha-2 country code
          format: text
          nullable: true
        address_line:
          type: string
          description: Full formatted address line (generated)
          format: text
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````